View Ticket
2016-09-07
14:15 Fixed ticket [f75d036a14]: build tk on unix even when no cross-compiler installed plus 6 other changes artifact: e7feb04566 user: rkeene
14:15
Updated to continue if configure fails building Tk (bug [f75d036a14]) check-in: 67d6bb3e7c user: rkeene tags: trunk
2016-07-16
13:53 New ticket [f75d036a14] build tk on unix even when no cross-compiler installed. artifact: 1f8152cad9 user: anonymous

Ticket Hash: f75d036a1431f45fb9ee5863df6168d75b7e2f93
Title: build tk on unix even when no cross-compiler installed
Status: Fixed Type: Code Defect
Severity: Important Priority: Immediate
Subsystem: Tcl Resolution: Fixed
Last Modified: 2016-09-07 14:15:26
Version Found In: trunk
Description:
tk/win/configure now errors if it can't find a cross-compiler, causing kitcreator to give up.

--- tk/build.sh
+++ tk/build.sh
@@ -200,14 +200,14 @@  
                        fi
                fi
               
                if [ "${STATICTK}" = "1" ]; then
                        echo "Running: ./configure --disable-shared --disable-symbols --prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}"
-                       ./configure --disable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
+                       ./configure --disable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} || continue
                else   
                        echo "Running: ./configure --enable-shared --disable-symbols --prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ${CONFIGUREEXTRA}"
-                       ./configure --enable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
+                       ./configure --enable-shared --disable-symbols --prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} || continue
                fi
               
                echo "Running: ${MAKE:-make}"
                ${MAKE:-make} || (
                        # Workaround a bug in Tk on FreeBSD 8.1:
User Comments:
rkeene added on 2016-09-07 14:15:26:
Applied, thanks !